#include "m8c.h"       // part specific constants and macros
#include "PSoCAPI.h"   // PSoC API definitions for all User Modules


#define IIR_COEFF_PROX			6 //coefficient for IIR filter.

#define AVERAGING_ORDER			8 //Order for moving average filter
#define MEDIAN_FILTER_ORDER		15 //Order for moving median filter

#define	IIR_FILTER_ENABLE		0x01
#define AVERAGE_FILTER_ENABLE	0x01
#define MEDIAN_FILTER_ENABLE    0x01

#if(AVERAGE_FILTER_ENABLE)
WORD ApplyAveragingFilter(BYTE);
#endif

#if(MEDIAN_FILTER_ENABLE)
WORD ApplyMedianfilter(WORD);
#endif

#if (IIR_FILTER_ENABLE)
WORD ApplyIIRFilter(BYTE SensorNo, WORD Average_value);
#endif